
<template>
    <el-dialog
      :visible.sync="showDialog"
      :title="title"
      :modal-append-to-body="false"
      style="text-align: left;"
      @close="closeDialog"
      :close-on-click-modal="false"
      width="900px"
    >
      <div class="user-panel" v-loading="loading">
        <el-form
          ref="form"
          :model="formModel"
          :rules="ruleValidate"
          :label-width="'100px'"
          :inline="true"
        >
        <el-form-item label="企业名称" prop="name">
            <el-input v-model="formModel.name" placeholder="请输入企业名称" style="width: 300px"></el-input>
          </el-form-item>
          <el-form-item label="联系人姓名" prop="contact">
            <el-input v-model="formModel.contact" placeholder="请输入真实姓名" style="width: 300px"></el-input>
          </el-form-item>
          <el-form-item label="联系人电话" prop="phone">
            <el-input v-model="formModel.phone" placeholder="请输入联系电话" style="width: 300px"></el-input>
          </el-form-item>
          <el-form-item label="公司简介" prop="introduction">
            <el-input v-model="formModel.introduction" placeholder="请输入公司简介" style="width: 300px"></el-input>
          </el-form-item>
          <el-form-item label="隐私协议" prop="introduction">
            <mce-editor
                ref="editor"
                uploadName="upfile1"
                v-model="formModel.introduction"
                :url="uploadUrl1"
                :config="editorConfig"
                style="width: 100%"
            ></mce-editor>
          </el-form-item>
        </el-form>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button @click="closeDialog">取 消</el-button>
        <el-button type="primary" @click="handleSubmit" :loading="submitting"
          >确 定</el-button
        >
      </span>
    </el-dialog>
  </template>
  <script>
  import Constant from "@/constant";
  import { getToken } from "@/utils/auth"; // get token from cookie
  import transportationInfoApi from "@/api/base/transportationInfo";
  import MceEditor from "@/components/Tinymce";
  
  export default {
    props: ["businessKey", "title"],
    data() {
      return {
          showPwd: true,
          ruleValidate: {
              name: [
              { required: true, message: "企业名称不能为空", trigger: "blur" },
              ],
              contact: [
              { required: true, message: "联系人姓名不能为空", trigger: "blur" },
              ],
              phone: [
              { required: true, message: "联系电话不能为空", trigger: "blur" },
              ],
              idCard: [
              { required: true, message: "身份证号不能为空", trigger: "blur" },
              ],
              age: [
              { required: true, message: "年龄不能为空", trigger: "blur" },
              ],
              gender: [
              { required: true, message: "性别不能为空", trigger: "blur" },
              ],
          },
          roleList: [],
          formModel: {},
          showDialog: true,
          loading: false,
          submitting: false,
          enterpriseList:[],
          //上传地址
          uploadUrl: Constant.serverUrl + "/uploadPicture",
          uploadData: {
              subFolder: "water-tank",
          },
          fileUrl: "",
          headers: {
              Authorization: getToken(),
          },
          uploadUrl1: Constant.serverUrl + "/tinymce/upload?token=" + getToken(),
          editorConfig: {
            height: 300,
            width: 660,
          },
      };
    },
    created() {
    },
    methods: {
      closeDialog() {
        this.$emit("close", false);
      },
      handleSubmit() {
        var self = this;
  
        this.$refs["form"].validate((valid) => {
          if (valid) {
            (function () {
              var id = self.formModel.id;
  
              if (id == null || id.length == 0) {
                return transportationInfoApi.add(self.formModel);
              } else {
                return transportationInfoApi.update(self.formModel);
              }
            })().then(function (response) {
              var jsonData = response.data;
  
              if (jsonData.result) {
                self.$message({
                  message: "保存成功!",
                  type: "success",
                });
  
                self.$emit("close", true);
              } else {
                self.$message({
                  message: jsonData.message + "",
                  type: "warning",
                });
  
                self.$emit("close", false);
              }
            });
          }
        });
      },
      handleAvatarSuccess(res, file) {
          var self = this;
          self.formModel.image = res.data;
  
          self.fileUrl =
            res.data + "?x-oss-process=image/resize,m_lfit,h_300,w_300";
      },
      beforeAvatarUpload(file) {
          const isLt2M = file.size / 1024 / 1024 < 2;
          if (!isLt2M) {
              this.$message.error('上传头像图片大小不能超过 2MB!');
          }
          return isLt2M;
      }
    },
    async mounted() {
      var self = this;
      self.loading = true;
  
      (function () {
        if (self.businessKey != null && self.businessKey.length > 0) {
          return transportationInfoApi.edit(self.businessKey);
        } else {
          return transportationInfoApi.create();
        }
      })()
        .then((response) => {
          var jsonData = response.data;
  
          if (jsonData.result) {
              self.formModel = jsonData.data;
  
              if (self.formModel.introduction != null) {
                self.$refs.editor.setContent(self.formModel.introduction);
              }
  
  
              self.showModal = true;
          } else {
            self.$message.error(jsonData.message + "");
          }
  
          self.loading = false;
        })
        .catch((error) => {
          self.$message.error(error + "");
          self.loading = false;
        });
    },
    components: {
      "mce-editor": MceEditor,
    },
  };
  </script>
  <style scoped>
  .user-panel {
    margin: 10px auto;
  }
  .avatar-uploader .el-upload {
      border: 1px dashed #d9d9d9;
      border-radius: 6px;
      cursor: pointer;
      position: relative;
      overflow: hidden;
    }
    .avatar-uploader .el-upload:hover {
      border-color: #409EFF;
    }
    .avatar-uploader-icon {
      font-size: 28px;
      color: #8c939d;
      width: 178px;
      height: 178px;
      line-height: 178px;
      text-align: center;
    }
    .avatar {
      width: 178px;
      height: 178px;
      display: block;
    }
  </style>